﻿using System;
using System.Collections.Generic;
using System.Windows.Controls;

namespace RadSparkline.GettingStarted
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
            InitializeSparklines();
        }

        private void InitializeSparklines()
        {
            var rnd = new Random();
            List<double> data = new List<double>();
            for (int i = 0; i < 20; i++)
            {
                data.Add( rnd.Next( -100, 100 ) );
            }
            xLinearSparkline.ItemsSource = data;
            xScatterSparkline.ItemsSource = data;
            xAreaSparkline.ItemsSource = data;
            xColumnSparkline.ItemsSource = data;
            xWinLossSparkline.ItemsSource = data;
        }
    }
}