﻿using System;
using System.Collections.Generic;
using System.Windows;
using System.Windows.Documents;

namespace RadSparkline.GettingStartedWPF
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            InitializeSparkline();
        }

        private void InitializeSparkline()
        {
            var rnd = new Random();
            List<double> data = new List<double>();
            for (int i = 0; i < 20; i++)
            {
                data.Add( rnd.Next( -100, 100 ) );
            }
            xLinearSparkline.ItemsSource = data;
            xScatterSparkline.ItemsSource = data;
            xAreaSparkline.ItemsSource = data;
            xColumnSparkline.ItemsSource = data;
            xWinLossSparkline.ItemsSource = data;
        }
    }
}